#
# spec file for package yast2-dhcp-server
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-dhcp-server
Version:        4.5.0
Release:        150500.1.1
Summary:        YaST2 - DHCP Server Configuration
License:        GPL-2.0-only
Group:          System/YaST
URL:            https://github.com/yast/yast-dhcp-server
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  doxygen
BuildRequires:  libxslt
BuildRequires:  perl-Digest-SHA1
BuildRequires:  perl-X500-DN
BuildRequires:  perl-XML-Writer
BuildRequires:  popt-devel
BuildRequires:  sgml-skel
BuildRequires:  update-desktop-files
# Fix old testsuite bind package absence mocks
BuildRequires:  yast2 >= 4.2.11
BuildRequires:  yast2-devtools >= 4.2.2
BuildRequires:  yast2-dns-server
BuildRequires:  yast2-perl-bindings
BuildRequires:  rubygem(%rb_default_ruby_abi:rspec)
BuildRequires:  rubygem(%rb_default_ruby_abi:yast-rake)
Requires:       bind-utils
Requires:       perl-Digest-SHA1
Requires:       perl-Parse-RecDescent
Requires:       perl-X500-DN
Requires:       perl-gettext
# firewalld_wrapper.rb
Requires:       yast2 >= 4.1.22
# DnsServerAPI::IsServiceConfigurableExternally
Requires:       yast2-dns-server >= 2.13.16
Requires:       yast2-ldap
Requires:       yast2-perl-bindings
Requires:       yast2-ruby-bindings >= 1.0.0
Supplements:    autoyast(dhcp-server)
BuildArch:      noarch

%description
This package contains the YaST2 component for DHCP server
configuration.

%prep
%setup -q

%check
%yast_check

%build
%yast_build

%install
%yast_install
%yast_metainfo

%files
%{yast_yncludedir}
%{yast_clientdir}
%{yast_moduledir}
%{yast_desktopdir}
%{yast_metainfodir}
%{yast_scrconfdir}
%{yast_agentdir}
%license COPYING
%{yast_icondir}
%{yast_schemadir}

%changelog
* Wed Apr  6 2022 lslezak@suse.cz
- Bump version to 4.5.0 (bsc#1198109)
* Thu Jan 13 2022 dgonzalez@suse.com
- Fix DNS zone creation by fixing a maintained DNS zone check.
  Reported and fixed by Daniel Pätzold <obel1x@web.de>
  See github#yast/yast-dhcp-server#59.
- 4.4.2
* Tue Apr 20 2021 dmueller@suse.com
- stop packaging docdir, it only contained the license which
  is now in licensedir (bsc#1184897)
- spec file cleanups
- 4.4.1
* Tue Apr 20 2021 lslezak@suse.cz
- 4.4.0
* Tue Oct 20 2020 bwiedemann@suse.com
- Fix URL in .spec file
* Mon Aug 10 2020 schubi@suse.de
- AutoYaST: Added supplements: autoyast(dhcp-server) into the spec
  file in order to install this packages if the section has been
  defined in the AY configuration file (bsc#1146494).
- 4.3.1
* Thu May  7 2020 jreidinger@suse.com
- Autoyast schema: Allow optional types for string and map objects
  (bsc#1170886)
- 4.3.0
* Sat Apr  4 2020 mfilka@suse.com
- bsc#1167474
  - removed token ring support
- 4.2.3
* Mon Feb 17 2020 shundhammer@suse.com
- Fixed user-visible messages (bsc#1084015)
- 4.2.2
* Fri Feb  7 2020 ancor@suse.com
- Removed the testsuite
* Mon Jul  1 2019 kanderssen@suse.com
- Fixed failing old testsuite: do not depend on the environment,
  skip bind absence in Mode.test() (bsc#1138668)
- 4.2.1
* Fri May 31 2019 hellcp@mailbox.org
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.0
* Wed Dec 12 2018 lslezak@suse.cz
- Always use absolute path to binaries (bsc#1118291)
- Updated testsuite to pass with the new yast2
- 4.1.5
* Sun Nov 25 2018 hellcp@mailbox.org
- Provide icon with module (boo#1109310)
- 4.1.4
* Tue Oct 16 2018 schubi@suse.de
- Added license file to spec.
* Tue Oct  9 2018 schubi@suse.de
- Adapting to new firewall API (bsc#1108942)
- 4.1.3
* Fri Aug 24 2018 dgonzalez@suse.com
- Display an information message instead of the service widget
  when service is not installed (related to fate#319428).
- 4.1.2
* Thu Aug 23 2018 dgonzalez@suse.com
- Avoid module to crash if service is not installed
  (related to fate#319428).
- 4.1.1
* Mon Aug 20 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Mon Aug 13 2018 dgonzalez@suse.com
- Use CWM::ServiceWidget to manage the service status
  (part of fate#319428).
- 4.1.0
* Mon Aug 13 2018 igonzalezsosa@suse.com
- Fix package building with yast2 4.0.84 (bsc#1104644).
- 4.0.3
* Fri Aug  3 2018 igonzalezsosa@suse.com
- Fix package building with yast2 4.0.80 (bsc#1103691).
- 4.0.2
* Thu Jun 28 2018 schubi@suse.de
- Added additional searchkeys to desktop file (fate#321043).
- 4.0.1
* Fri Apr  6 2018 mfilka@suse.com
- bnc#1087957 - version bump
- 4.0.0
* Wed Jan 18 2017 lslezak@suse.cz
- Fixed a crash at start when the "dhcp-server" package was not
  installed in the system. The crash happens with the latest
  yast2-core and yast2-ruby-bindings packages (it is related to the
  bsc#932331 fix).
- 3.2.2
* Thu Oct 20 2016 jreidinger@suse.com
- allow empty string in primary name server field for dynamic DNS
  option to allow what is suggested in documentation for local DNS
  servers (bsc#736496)
- 3.2.1
* Thu Oct  6 2016 jreidinger@suse.com
- prevent adding "pool" to global scope as it is allowed only in
  network scope (bsc#737492)
- 3.2.0
* Mon Jun  6 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.11
* Tue Jan 26 2016 mvidner@suse.com
- Fix "One or more selected network interfaces is not configured"
  when ifconfig is not installed (boo#958525).
- 3.1.10
* Thu Jan 14 2016 igonzalezsosa@suse.com
- Fix validation of AutoYaST profiles (bsc#954412)
- 3.1.9
* Thu Jan  7 2016 ancor@suse.com
- Fixed crash when dhcp-server is not installed (bsc#959730)
- 3.1.8
* Fri Nov 27 2015 ancor@suse.com
- Adapted to latest changes in UI::ServiceStatus API (fate#318771)
- 3.1.7
* Thu Nov 26 2015 ancor@suse.com
- Several UI improvements and fixes, including the usage of the
  new generic widget to handle the service status (fate#318771).
- 3.1.6
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
- 3.1.5
* Fri Sep 19 2014 ancor@suse.com
- Adapted to use systemd to manage the dhcpd service (bnc#892342)
- 3.1.4
* Thu Aug  7 2014 mfilka@suse.com
- bnc#887139
  - selected device has to have an ip assigned.
- 3.1.3
* Mon Mar 31 2014 locilka@suse.com
- Fixed testsuite (adapted to new systemd service)
- 3.1.2
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Wed Sep 18 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Thu Apr 19 2012 jsrain@suse.cz
- use the ButtonBox widget (bnc#684863)
* Thu Mar 29 2012 jsuchome@suse.cz
- merged proofed texts
- confirmed license
- 2.22.0
* Mon Sep 26 2011 visnov@suse.cz
- set dialog title
- 2.21.2
* Thu Sep  8 2011 locilka@suse.cz
- Including SSL certificate in chrooted system (bnc #715473
  comment #15)
- 2.21.1
* Tue Sep  6 2011 locilka@suse.cz
- Fixed detection of default exemplary config file (bnc #715473)
- Adapted testsuite
- 2.21.0
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Mon Jul  4 2011 snwint@suse.de
- fixed typo (bnc #703097)
* Fri Apr 23 2010 coolo@novell.com
- reupdate the tar ball to fix build
* Fri Feb 12 2010 juhliarik@suse.cz
- added fix for deleting options in "Configured Declaration"
  (bnc#448013)
- 2.19.0
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Tue Jun 16 2009 mvidner@suse.cz
- Using autodocs-ycp.ami, which contains a fix for automake 1.11.
* Tue Mar 17 2009 juhliarik@suse.cz
- updated button labeling (bnc#440530)
- 2.18.0
* Mon Jan  5 2009 juhliarik@suse.cz
- fix for enable dhcp-server in SuSEFirewall (bnc #460238)
* Thu Nov  6 2008 juhliarik@suse.cz
- added fix for problem with loading LDAP settings (bug #350634)
- 2.17.2
* Tue Sep 30 2008 juhliarik@suse.cz
- added fix for problem with typo (bug #423181)
- 2.17.1
* Thu Sep 11 2008 jsrain@suse.cz
- merged texts from proofread
* Fri Aug  1 2008 juhliarik@suse.cz
- update dhcp-server depend on LDAP changes
- 2.17.0
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Mon Apr  7 2008 locilka@suse.cz
- Fixed help (bnc #376702 comment #1).
* Wed Mar 19 2008 juhliarik@suse.cz
- fate #120373: Unified Button Labels
- 2.16.7
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
* Thu Jan 24 2008 mzugec@suse.cz
- replace deprecated NetworkDevices by NetworkInterfaces (from yast2)
- 2.15.6
* Mon Jan  7 2008 kmachalkova@suse.cz
- Merged proofread texts
* Fri Sep  7 2007 kmachalkova@suse.cz
- Do not use obsolete getcfg-interface to get network device name
  from hw description (mac address) (#308258)
- If hostname cannot be found, disable selecting LDAP support,
  do not abort the module (#307019)
- 2.15.5
* Tue Jul 10 2007 kmachalkova@suse.cz
- Validate option vendor-class-identifier as quoted string (#143164)
- i18n: Marked strings for translation (#252103)
- 2.15.4
* Mon Jun 11 2007 kmachalkova@suse.cz
- Allow getting/setting 'dynamic-bootp' flag for IP range (#151806)
  + related facelift of 'Dynamic DHCP' dialog
- 2.15.3
* Fri May 25 2007 jsrain@suse.cz
- removed outdated translations from .desktop-files (#271209)
* Tue May 15 2007 kmachalkova@suse.cz
- Dropped simple vs. expert UI mode support (ProductFeatures):
  expert mode is now default
- 2.15.2
* Mon Jan 22 2007 kmachalkova@suse.cz
- If gathering interface information by parsing ifconfig output
  fails, use NetworkDevices data. Inform user that interface has no
  configuration (#233937)
- 2.15.1
* Fri Jan 12 2007 kmachalkova@suse.cz
- Added support for ldap-dhcp-server-cn configuration option to
  get/set alternative name for dhcpServer LDAP object (FaTE #227)
- 2.15.0
* Mon Nov 20 2006 kmachalkova@suse.cz
- Added autoyast validation file (#220736)
- 2.14.1
* Mon Nov 13 2006 kmachalkova@suse.cz
- Created 2.14 version for SL10.2
- 2.14.0
* Mon Oct  2 2006 kmachalkova@suse.cz
- Merged proofread texts
* Fri Sep 22 2006 kmachalkova@suse.cz
- Added support for passing commandline parameters to dhcpd
  (FaTE #225)
- Warning popup if alternate config file (-cf) is used
- 2.13.9
* Wed Aug 30 2006 locilka@suse.cz
- DnsServerPunycode has been renamed to Punycode
  and moved to yast2-2.13.78
- 2.13.8
* Mon Aug 21 2006 locilka@suse.cz
- Corrected HTML in helps.
- Added missing keyboard shortcuts.
* Fri Aug 18 2006 locilka@suse.cz
- Added help texts for Zone Editor Dialog.
- Added reverse-zone synchronization into Zone Editor Dialog.
- Added comments for translators.
- Added BuildRequires: yast2-dns-server.
- 2.13.7
* Thu Aug 17 2006 locilka@suse.cz
- Finished Sync-with-DNS wizard.
- Added help texts.
- Fixed some development bugs.
- Added more checking for entered values.
* Tue Aug 15 2006 locilka@suse.cz
- Adding more functionality into the Sync-with-DNS wizard.
* Fri Aug 11 2006 locilka@suse.cz
- Added initial version of Sync-with-DNS support.
* Wed Aug  9 2006 kmachalkova@suse.cz
- Added validation of MAC address in expert configuration (#147676)
- Changed validation of MAC address in Host Management dialog
  to use Address::CheckMAC() function
* Mon Aug  7 2006 locilka@suse.cz
- Added information about minimal and maximal IP address in the
  Dynamic DHCP server dialog - computed using the server IP and
  netmask.
- Reading DNS server configuration when dns server is externally
  configurable (New function of DnsServerAPI) (FaTE #120037).
* Fri Aug  4 2006 mvidner@suse.cz
- Removed a Perl search path that is added elsewhere already
  and here just breaks compilation in some cases (#197099).
* Wed Aug  2 2006 locilka@suse.cz
- Limit displayed interface name to 40 characters.
- 2.13.6
* Tue Jul 18 2006 locilka@suse.cz
- Card selection dialog changed to provide buttons [Select] and
  [Unselect] and table header item to Selected to better reflect
  the status of the network interfaces that are selected for
  DHCP Server to run on (#164242).
- These buttons are enabled or disabled by the current status of
  the selected interface. Active interface can be deactivated only
  and vice versa.
- Different help for expert and simple UI in the Card Selection
  dialog.
* Thu Jul 13 2006 locilka@suse.cz
- Do not complain about blank DHCPD_INTERFACE in case of
  (auto)installation. All interfaces will be used instead
  by the dhcpd (#173861).
- 2.13.5
* Mon Jun  5 2006 locilka@suse.cz
- Fixing UI visibility, especially Time Units ComboBox (#181146).
- 2.13.4
* Tue May 16 2006 locilka@suse.cz
- Call NetworkDevices->Read() also in Mode->autoinst() (#173861).
- 2.13.3
* Thu Mar 23 2006 locilka@suse.cz
- Added checking for root permissions into the module startup
  process (#158483)
- 2.13.2
* Mon Mar  6 2006 locilka@suse.cz
- Adjusted BuildRequires for the package
- 2.13.1
* Fri Jan  6 2006 locilka@suse.cz
- Fixing bug/enhancement #115396
  Added new data-type quoted_string. Configuration tool takes care
  about the quoting of the string and escaping quotes inside.
- 2.13.0
* Tue Aug 16 2005 locilka@suse.cz
- Merged proofread texts (2nd round)
- 2.12.5
* Wed Aug  3 2005 locilka@suse.cz
- Fixed Host Management dialog handling, Fixed IP checking
- 2.12.4
* Thu Jul 28 2005 locilka@suse.cz
- Merged proofread texts
- 2.12.3
* Tue Jul 26 2005 locilka@suse.cz
- Fixing captions in Setup Wizard
- 2.12.2
* Tue Jul 12 2005 locilka@suse.cz
- Applying texts and helps changes
- 2.12.1
* Thu May 19 2005 locilka@suse.cz
- Changing texts to be YaSY2 Style Guide Compatible
- Changing the layout of dialogs to be more consistent
* Wed Apr 27 2005 locilka@suse.cz
- Fixed the same behavior as in DNS-Server - bug #78569
  Mode::config() and Mode::autoinst() don't call Ldap::Read() now
* Tue Apr 19 2005 locilka@suse.cz
- Applied new functional interface of ProductFeatures
- 2.12.0
* Thu Mar 31 2005 locilka@suse.cz
- Added checking for Dynamic DHCP addresses to match the current
  network/netmask
- Added information abour current network/netmask into the Dynamic
  DHCP dialog
* Wed Mar 30 2005 locilka@suse.cz
- Presenting network interfaces with their device names and IP
- Added confirmation dialog for aborting Wizard configuration
- Fixing firewall behaviour
- Changing maintainer
* Fri Feb 25 2005 jsrain@suse.cz
- fixed testsuite
- 2.11.6
* Thu Feb 24 2005 jsrain@suse.cz
- fixed completely broken behavior in Mode::config () (#66422)
- 2.11.5
* Wed Feb 23 2005 jsrain@suse.cz
- fixed check_ycp errors
* Tue Feb  8 2005 jsrain@suse.cz
- allow to specify host name instead of IP address in the dialog
  for management of hosts with static IP address (#50161)
- 2.11.4
* Mon Feb  7 2005 jsrain@suse.cz
- merged texts from proofread
- 2.11.3
* Mon Jan  3 2005 jsrain@suse.cz
- added support for commandline interface
- 2.11.2
* Wed Dec 15 2004 jsrain@suse.cz
- cleanup of requires and neededforbuild
- using new function for disabling/enabling progress bar
- 2.11.1
* Tue Nov  9 2004 jsrain@suse.cz
- fixed checks of hosts with static addresses (#40319)
* Mon Nov  8 2004 jsrain@suse.cz
- prevent used TSIG keys from being removed
* Tue Nov  2 2004 jsrain@suse.cz
- adapted to new Mode.ycp
- 2.11.0
* Tue Oct 19 2004 jsrain@suse.cz
- use unified messages from Label.ycp and Confirm.ycp
* Thu Oct 14 2004 jsrain@suse.cz
- set "ntp-servers" instead of "time-servers" in dhcpd.conf
  (#47029)
* Mon Sep 27 2004 jsrain@suse.cz
- fixed error reported after configuration was saved even it it was
  saved successfully (#46223)
- fixed saving settings: If eg. only service was enabled/disabled,
  nothing was saved (#46228)
- 2.10.7
* Mon Sep 20 2004 jsrain@suse.cz
- fixed "Save and Restart" (the progress was kept instead of
  returning to the main dialog) (#45580)
- 2.10.6
* Wed Sep 15 2004 jsrain@suse.cz
- fixed validation of "Open Port in Firewall" widget (#45254)
* Fri Sep  3 2004 jsrain@suse.cz
- added SetMofified function to _auto client
- 2.10.5
* Mon Aug 30 2004 nashif@suse.de
- Added GetModified function to _auto client
- 2.10.4
* Fri Aug 27 2004 jsrain@suse.cz
- merged texts from proofread
* Mon Aug 16 2004 jsrain@suse.cz
- fixed handling of some DHCP statements and options (eg.
  update-static-leases) (#42778)
- check also if firewall was modified
- 2.10.3
* Tue Aug 10 2004 jsrain@suse.cz
- merged texts from proofread
* Mon Aug  9 2004 jsrain@suse.cz
- adapted to interface changes in LdapServerAccess
- fixed Requires
- 2.10.2
* Fri Aug  6 2004 jsrain@suse.cz
- update firewall handling
- 2.10.1
* Wed Aug  4 2004 jsrain@suse.cz
- adapted to the changes in CWM
- added 4th step of installation wizard
- enhanced the summary
- added default values for max-lease-time and default-lease-time
- removed yast2-ldap-server from requires and neededforbuild
- 2.10.0
* Fri Jul 30 2004 jsrain@suse.cz
- adapted functionality for 9.2 box
* Mon Jul 19 2004 jsrain@suse.cz
- use common function for checking installed packages (#30872)
* Wed Jul 14 2004 jsrain@suse.cz
- fixed and cleaned-up the initial sequence
* Mon Jul 12 2004 jsrain@suse.cz
- fixed help formatting (#40246)
* Tue Jun 22 2004 jsrain@suse.cz
- fixed syntax in YaPI file (#42012)
* Thu Jun 17 2004 jsrain@suse.cz
- using common implementation of the navigation tree
- using common implementation of the service start-up dialog
- usign common implementation of the TSIG Keys handling dialog
* Tue Jun  8 2004 jsrain@suse.cz
- fixed examples in YaPI documentation (#41651)
* Mon May 31 2004 jsrain@suse.cz
- YaPI fixes (no functino wrote settings properly) (#41450)
- added YaPI testsuite
- 2.9.23
* Wed May 26 2004 jsrain@suse.cz
- not forcing user to set the default lease time (as it is not
  needed, default value is used if not set) (#41144)
- 2.9.22
* Thu May 20 2004 jsrain@suse.cz
- highlight the selected entry of the left tree widget (#40782)
- do not start if installation of required packages failed or
  cancelled (#40908)
- prevent from touching system when preparing autoinstallation
  profile (#40479)
- 2.9.21
* Wed May 19 2004 jsrain@suse.cz
- added YaPI capabilities and version (#40796)
- do not allow to configure interfaces when preparing profile for
  AutoYaST (#40558)
* Tue May 18 2004 jsrain@suse.cz
- display the left tree widget also in NCurses (#40569)
- connecting to LDAP server using the Ldap module (in order to
  prevent it from reconnecting) (#40577)
- fixed behavior if recreating TSIG key (#40600)
- fixed handling of present/not-present options if configuration
  is stored in LDAP (#40775)
- do not read information about network interfaces directly from
  sysconfig, but use ifconfig instead (#40412)
- prevent from listing include files in syscofnig multiple times,
  adding dots to DDNS zone names if missed (#40604)
- ensure /etc/named.d exists before creating TSIG key (#40786)
* Mon May 17 2004 jsrain@suse.cz
- fixed exporting data for autoinstallation (#40555)
- always start expert sequence when preparing autoinstallation
  control file, fixed possible crash (#40568)
- check hardware address properly before writing to LDAP (#40599)
- fixed importing of incomplete data (#40558)
- correctly create ou=ldapconfig if called through YaPI (#40577)
* Thu May 13 2004 jsrain@suse.cz
- fixed checking of values in the DDNS dialog (#40411)
- 2.9.20
* Wed May 12 2004 jsrain@suse.cz
- allow only a-zA-Z0-9_ for TSIG Key identifier (#40422)
- fixed reading and saving lease times (#40414)
- creating ldapConfig in LDAP if missing (#40366)
* Wed May 12 2004 visnov@suse.cz
- correctly handle if only one nameserver is entered (#40333)
* Tue May 11 2004 visnov@suse.cz
- show really configured domain (#40326)
* Tue May 11 2004 jsrain@suse.cz
- added check box for LDAP support to expert dialogs (#40246)
- do not discard changes when switching to/from LDAP (#40306)
- detect if configuration is simple enough for the simple sequence
  and start expert sequence otherwise (#40077)
- added correct error reporting when switching to LDAP (#40321)
- don't offer to select TSIG key if no is set (#40353)
* Mon May 10 2004 jsrain@suse.cz
- one more fix of creating new configuration in LDAP tree (mt)
  (#39686)
- properly handle quoting in DHCP optinos (#40044)
- define ddns-update-style if not defined (#40044)
- start wizard in case of empty/sample dhcpd.conf (#40043)
- properly remove unneeded options from dhcpd.conf when switched
  to use / not to use LDAP (#40043)
- merged texts from proofread
- fixed calling of gettext from Perl modules (#40160)
- create needed LDAP stuff when saving (and not during reading
  process) (#39942)
- add suport for specifying lease times in minutes and seconds
  (#40247)
- fixed forgotten lease time values (#40258)
- fixed checking for values in global options dialog (locilka)
  (#40255)
- fixed data checking in host management dialog (locilka) (#40269)
* Thu May  6 2004 jsrain@suse.cz
- moved the "Expert settings" button to the tree widget (#39985)
- abort reading if cannot determine t:he host name (#39791)
- check if default sample configuration file is found and avoid
  using it (#40043)
- 2.9.19
* Wed May  5 2004 jsrain@suse.cz
- fixed saving when no data is present in LDAP and dhcpd.conf
  (#39791)
- moved the settings in LDAP tree under ou=DNS,$ldap_domain
  (#39686)
* Tue May  4 2004 jsrain@suse.cz
- merged texts from proofread
- fixed input checking (#39861)
- fixed comments for translators
* Mon May  3 2004 jsrain@suse.cz
- check if dhcp.schema is included in /etc/openldap/slapd.conf
  and add it if it is missing (#39589)
* Fri Apr 30 2004 jsrain@suse.cz
- added missing helps
- 2.9.18
* Thu Apr 29 2004 visnov@suse.cz
- complete UI redesign
- 2.9.17
* Mon Apr 26 2004 jsrain@suse.cz
- updated API to support LDAP
* Fri Apr 23 2004 jsrain@suse.cz
- added LDAP support
* Mon Apr  5 2004 jsrain@suse.de
- fixed names of directives in the list of possible directioves
  to add (#38168)
- fixed type of the 'ddns-updates' option (#38168)
- 2.9.16
* Fri Apr  2 2004 jsrain@suse.de
- changed license to GPL
- 2.9.15
* Fri Apr  2 2004 jsrain@suse.de
- added missing 'range' directive to directives possible to be
  added to address pool (#37846)
- sorting first directives and then options in the list of options
  to add to a declaration (#37846)
- 2.9.14
* Wed Mar 31 2004 jsrain@suse.de
- again fixed behavior of some directives (weren't read and saved
  correctly) (#37265)
- ask for interface to listn to before running main dialog if no
  interface is selected (#37417)
- 2.9.13
* Tue Mar 30 2004 jsrain@suse.de
- fixed grabbing the list of interfaces to listen to (#37534)
- fixed accidental destroying of list of files to copy to chroot
  jail (#37281)
* Tue Mar 30 2004 jsrain@suse.de
- fixed import of empty data when preparing autoinstallation (#37179)
- 2.9.12
* Mon Mar 29 2004 jsrain@suse.de
- add also includes added not using YaST to sysconfig to be copied
  to chroot (#37281)
- enabling the wodgets of the DynamicDNS dialog properly (#37282)
- fixed adding of new TSIG keys
- fixed writing of some directives (eg. 'filename', 'authoritative')
  (#37265)
- 2.9.11
* Wed Mar 24 2004 jsrain@suse.cz
- added check box for running DHCP server in chroot jail
- disabling possibility to change the settings if the DNS service
  is disabled (#36799)
- preselect type of declaration to add
- 2.9.10
* Mon Mar 22 2004 jsrain@suse.cz
- updated .desktop file to provide autoinstallation clonning support
- 2.9.9
* Thu Mar 18 2004 jsrain@suse.cz
- addapted to calling all perl and YCP functions as class methods
  (added $self = shift; ,...)
* Wed Mar 10 2004 jsrain@suse.de
- addapted to the new array context - a YCP list is always a
  reference to a Perl array
- 2.9.8
* Wed Mar 10 2004 jsrain@suse.de
- fixed crash if configuration fiels are missing (#35515)
- not asking before aborting if nothing was changed (#35516)
- 2.9.7
* Tue Mar  9 2004 jsrain@suse.de
- Require -> Package
- added AutoPackages suport
- addded more high-level functions for DHCP adjustments (#33572)
* Mon Mar  8 2004 jsrain@suse.de
- fixed import of empty settings (#35441)
- setting icon
- 2.9.6
* Fri Mar  5 2004 jsrain@suse.de
- typing fixes
- 2.9.5
* Mon Mar  1 2004 jsrain@suse.de
- fixed creating of TSIG keys
- merged texts from proofread
- fixed lists of offered options for subnet and host declarations
- enhanced checking of values od DHCP options (#33571)
- more strict variable types
- 2.9.4
* Tue Feb 24 2004 jsrain@suse.de
- fixed typo in a DHCP option name (#34902)
* Mon Feb 23 2004 jsrain@suse.de
- enhanced Dynamic DNS support
- fixed log displaying popup
- 2.9.3
* Thu Feb 19 2004 jsrain@suse.de
- removed yast2-packager from neededforbuild
* Tue Feb 10 2004 jsrain@suse.de
- fixed testsuite to updated perl-bindings
- updated helps
- added DynDNS support
- autoinstallation updates
- several other fixes
- 2.9.2
* Fri Feb  6 2004 jsrain@suse.de
- dropped .y2cc file
- module rewritten to Perl
- testsuite updates
- UI improvements
- 2.9.1
* Thu Jan 29 2004 jsrain@suse.de
- created agent for reading/writing /etc/dhcpd.conf file
* Fri Oct  3 2003 jsrain@suse.de
- adapted to Table/Popup stuff split off from CWM.ycp
- 2.9.0
* Wed Oct  1 2003 jsrain@suse.de
- smarter configuring of firewall (#30783)
* Thu Sep 18 2003 jsrain@suse.de
- closing dialog properly if read aborted (#31249)
- 2.8.7
* Wed Sep 17 2003 jsrain@suse.de
- added possibility to adapt firewall settings when saving DNS
  server configuration (#30783)
- fixed requires (added yast2-packager)
- 2.8.6
* Mon Sep 15 2003 jsrain@suse.de
- fixed managing of multiple hosts (#30781)
- 2.8.5
* Fri Sep  5 2003 jsrain@suse.de
- merged texts from proofread
- added possiblity to specify interfaces to listen to (#30119)
- 2.8.4
* Fri Aug 29 2003 jsrain@suse.de
- changed strange popup (#29385)
- 2.8.3
* Thu Aug 28 2003 jsrain@suse.de
- checking if dhcp server is installed (#29423)
- added .desktop file
- fixed help text (#29385)
* Tue Aug 26 2003 jsrain@suse.de
- better testsuite
- updated _auto client
- 2.8.2
* Mon Aug 18 2003 jsrain@suse.de
- merged texts from proofread
- 2.8.1
* Fri Aug 15 2003 jsrain@suse.de
- updated to current version of CWM
- 2.8.0
* Thu Jun 12 2003 jsrain@suse.de
- initial version
- 2.6.0
